<script setup>
import InputError from "@/Components/InputError.vue";
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import { useForm } from "@inertiajs/vue3";
import { QuillEditor } from '@vueup/vue-quill';
import '@vueup/vue-quill/dist/vue-quill.snow.css';
import Multiselect from "@vueform/multiselect";

const {menu} =defineProps(['menu']);

const form = useForm({
   
        name: menu.dish_name,
        description: menu.dish_description,
        price: menu.price,
});

const submit = () => {
    form.post(route("menu.update",menu.id));
};

</script>

<template>
    <AuthenticatedLayout>
        <div class="row">
            <div class="col-12">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item">
                            <a href="javascript: void(0);">Menu</a>
                        </li>
                        <li class="breadcrumb-item active">Edit</li>
                    </ol>
                </div>
            </div>
        </div>
       
        <div class="container-fluid mt-4">
                    <h3>Menu</h3>
                <div class="row mt-2">
                    <div class="row border m-3">
                        <div class="col-8">
                            <div class="row mt-2">
                                <div class="col-sm-6">
                                    <label for="name" class="form-label">Name<span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="name" placeholder="Name" v-model="form.name" />
                                    <InputError class="mt-2 text-danger" :message="form.errors.name" />
                                </div>
                                <div class="col-sm-6">
                                    <label for="price" class="form-label">Price<span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="price" placeholder="Price" v-model="form.price" />
                                    <InputError class="mt-2 text-danger" :message="form.errors.price" />
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-sm-12 mb-3">
                                    <label for="description" class="form-label">Description<span class="text-danger">*</span></label>
                                    <div id="app">
                                        <quill-editor theme="snow" v-model:content="form.description" content-type="html">Description</quill-editor>
                                    </div>
                                    <InputError class="mt-2 text-danger" :message="form.errors.description" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3">
                        <div class="col-sm-2">
                            <button class="btn btn-success w-100" type="submit" @click="submit">
                                ADD
                            </button>
                        </div>
                    </div>
                </div>
            </div>
       
    </AuthenticatedLayout>
</template>

<style src="@vueform/multiselect/themes/default.css"></style>